# $Revision: 1.17 $, $Date: 2008/09/16 18:43:56 $
Summary:	Library for flexible logging
Summary(pl.UTF-8):	Biblioteka do elastycznego logowania
Name:		log4cpp
Version:	1.0
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/log4cpp/%{name}-%{version}.tar.gz
# Source0-md5:	1face50ead0790d1297dfb04bacf273c
Patch0:		%{name}-nolibs.patch
Patch1:		%{name}-gcc.patch
Patch2:		%{name}-lt.patch
URL:		http://log4cpp.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Log4cpp is library of C++ classes for flexible logging to files,
syslog, IDSA and other destinations. It is modeled after the Log4j
Java library, staying as close to their API as is reasonable.

%description -l pl.UTF-8
Log4cpp to biblioteka klas C++ do elastycznego logowania do plików,
sysloga, IDSA i innych miejsc. Jest tworzona na podstawie biblioteki
Javy Log4j i pozostaje jak najbliżej jej API w granicach rozsądku.

%package devel
Summary:	Header files for log4cpp
Summary(pl.UTF-8):	Pliki nagłówkowe log4cpp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
This package contains the development and header files for log4cpp.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki log4cpp.

%package static
Summary:	Static log4cpp library
Summary(pl.UTF-8):	Statyczna biblioteka log4cpp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static log4cpp library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę log4cpp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-doxygen
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install  \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=$RPM_BUILD_ROOT/removeit \
	mandir=$RPM_BUILD_ROOT%{_mandir}

rm -rf $RPM_BUILD_ROOT/removeit

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/liblog4cpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblog4cpp.so.4

%files devel
%defattr(644,root,root,755)
%doc doc/html/default.css doc/html/sflogo.png doc/html/index.html doc/html/api
%attr(755,root,root) %{_bindir}/log4cpp-config
%attr(755,root,root) %{_libdir}/liblog4cpp.so
%{_libdir}/liblog4cpp.la
%{_includedir}/log4cpp
%{_mandir}/man3/log4cpp.3*
%{_mandir}/man3/log4cpp::*.3*
%{_aclocaldir}/log4cpp.m4
%{_pkgconfigdir}/log4cpp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblog4cpp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: log4cpp.spec,v $
Revision 1.17  2008/09/16 18:43:56  qboosh
- added gcc,lt patches (now build using g++ 4.3/lt 2.2.x/-as-needed)
- removed obsolete aclocal workaround

Revision 1.16  2008/09/14 22:28:12  pawelz
- added pkgconfig file
- more %doc

Revision 1.15  2008/09/14 22:17:44  pawelz
- more verbose %files

Revision 1.14  2008/09/14 22:07:52  pawelz
- up to 1.0
- removed am18.patch
- by Pawel Dlugosz <pawel at dlugosz dot eu>

Revision 1.13  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.11  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.10  2005/09/01 14:38:38  darekr
- strict deps, gpm-friendly Source0

Revision 1.9  2003/12/21 21:27:35  qboosh
- -devel R: libstdc++-devel

Revision 1.8  2003/12/21 20:44:21  qboosh
- added am18 patch (log4cpp.m4 quotation fix) and nolibs patch (kill -lnsl)
- fixed ac/am rebuilding
- release 2

Revision 1.7  2003/12/19 18:35:31  eothane
- changed dl.sf.net to dl.sourceforge.net (SourceN:'s)

Revision 1.6  2003/08/18 08:08:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/07/29 09:16:17  pascalek
- updated to 0.3.4b

Revision 1.4  2003/07/14 08:56:12  qboosh
- man3 pages and html API docs moved to -devel

Revision 1.3  2003/07/13 22:23:50  qboosh
- pl
- removed autogenerated symlink, BR: libstdc++-devel (guess)

Revision 1.2  2003/07/13 13:31:47  erjot
- remove doc subpackage, fix html docs.

Revision 1.1  2003/07/13 12:15:34  deejay1
- initial release, needs some work on docs :/
